import { Options } from '../../util';
declare type ExpectedType = 'bigint' | 'number';
declare type Numeric = bigint | number;
declare const parseAsNumeric: <T extends Numeric>(value: unknown, expectedType: ExpectedType) => Options<T> & {
    inRangeOf: (min: T, max: T) => Options<T>;
    /**
     * @exact the exact value you expect the parsed value to be
     *
     * ```ts
     * Example:
     * const num: unknown = 1234
     * const val = parseAsNumber(num).exactlyAs(1234).orElseGetUndefined()
     * // the type of val in this case would be "1234 | undefined" instead of "number | undefined"
     * ```
     *
     * @returns the Options objects
     * **/
    exactlyAs: <M extends T>(exact: M) => Options<M>;
};
export default parseAsNumeric;
//# sourceMappingURL=parseAsNumeric.d.ts.map