import { isEqual } from 'granula-string';
import { createOptionsForPrimitive, createExact } from '../util.js';
const parseAsString = (value) => {
    const expectedType = 'string';
    const receivedType = typeof value;
    return {
        ...createOptionsForPrimitive(value, expectedType, receivedType),
        orElseGetEmptyString: () => isEqual(expectedType, receivedType) ? value : '',
        exactlyAs: (t) => ({
            ...createExact(value, expectedType, receivedType, t),
            orElseGetEmptyString: () => isEqual(expectedType, receivedType) ? t : '',
        }),
    };
};
export default parseAsString;
//# sourceMappingURL=parseAsString.js.map